Package org.apache.tapestry5.corelib.components

# Class ProgressiveDisplay

java.lang.Object
org.apache.tapestry5.corelib.components.ProgressiveDisplay

@SupportsInformalParameters @Events("progressiveDisplay") public class ProgressiveDisplay extends Object
A component used to implement the progressive enhancement web design strategy; the component renders itself with a simplified initial content (i.e., "loading ...") and an Ajax request then supplies the component's true body. This results in much faster page loads. You can even nest these! The component simply does not render its body on initial render. On the subsequent action event request, it fires a `EventConstants.PROGRESSIVE_DISPLAY` event to inform the container about the (optional) event context. The event handler method may return a renderable object; if not then the component's body is rendered as the partial markup response.

Since:
  5.1.0.1

Component Parameters
Name | Type | Flags | Default | Default Prefix
--- | --- | --- | --- | ---
context | Object[] |  |  | prop
If provided, this is the event context, which will be provided via the event.
initial | org.apache.tapestry5.Block |  | block:defaultInitial | literal
The initial content to display until the real content arrives. Defaults to "Loading ..." and an Ajax activity icon.
update | String |  |  | literal
Name of a function on the client-side Tapestry.ElementEffect object that is invoked after the elements's body content has been updated. If not specified, then the basic "highlight" method is used, which performs a classic "yellow fade" to indicate to the user that and update has taken place.

Component Events
Name | Description
--- | ---
progressiveDisplay |

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProgressiveDisplay()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Block`
  `getBody()`
  Returns the body of the ProgressiveDisplay, which is sometimes (in the context of a AjaxResponseRenderer.addRender(org.apache.tapestry5.ClientBodyElement) partial page render}) the content to be included.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProgressiveDisplay

    public ProgressiveDisplay()

- ## Method Details

  - ### getBody

    public Block getBody()
    Returns the body of the ProgressiveDisplay, which is sometimes (in the context of a AjaxResponseRenderer.addRender(org.apache.tapestry5.ClientBodyElement) partial page render}) the content to be included.
    Returns:
      body of component
    Since:
      5.2.0